> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Bio Lock

> Create a BioLock



## OpenAPI

````yaml /openapi.json post /bio-locks
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /bio-locks:
    post:
      tags:
        - BioLock
      summary: Create Bio Lock
      description: Create a BioLock
      operationId: createBioLock
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateBioLock'
      responses:
        '201':
          description: The BioLock has been successfully created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BioLock'
        '400':
          description: The BioLock could not be created
        '404':
          description: The BioLock could not be found
components:
  schemas:
    CreateBioLock:
      type: object
      properties:
        linkAnchorId:
          type: string
          description: The link anchor id of the bio lock
          format: uuid
        epc:
          type: string
          description: The epc identified assigned the trace lock
          example: instance:xxxxx.1.1
      required:
        - linkAnchorId
        - epc
    BioLock:
      type: object
      properties:
        id:
          type: string
          description: The id of the bio lock
          format: uuid
        linkAnchorId:
          type: string
          description: The link anchor id of the bio lock
          format: uuid
        epc:
          type: string
          description: The epc identified assigned the trace lock
          example: instance:xxxxx.1.1
        createdAt:
          format: uuid
          type: string
          description: The tenant id of the bio lock
        updatedAt:
          format: date-time
          type: string
          description: The updated at date of the bio lock
      required:
        - id
        - linkAnchorId
        - epc
        - createdAt
        - updatedAt

````